org.apache.lucene.store.instantiated

## Class InstantiatedDocument

- java.lang.Object
- - org.apache.lucene.store.instantiated.InstantiatedDocument

- All Implemented Interfaces:
    java.io.Serializable

      public class InstantiatedDocument
      extends java.lang.Object
      implements java.io.Serializable

  A document in the instantiated index object graph, optionally coupled to the vector space view.
  See Also:
    `Document`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InstantiatedDocument()`
    `InstantiatedDocument(Document document)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Document` | `getDocument()`
    `java.lang.Integer` | `getDocumentNumber()`
    `java.util.Map<java.lang.String,java.util.List<InstantiatedTermDocumentInformation>>` | `getVectorSpace()`
    `void` | `setVectorSpace(java.util.Map<java.lang.String,java.util.List<InstantiatedTermDocumentInformation>> vectorSpace)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InstantiatedDocument

          public InstantiatedDocument()

    - #### InstantiatedDocument

          public InstantiatedDocument(Document document)

  - ### Method Detail

    - #### getDocumentNumber

          public java.lang.Integer getDocumentNumber()

      Returns:
        position of document in the index.

    - #### getVectorSpace

          public java.util.Map<java.lang.String,java.util.List<InstantiatedTermDocumentInformation>> getVectorSpace()

    - #### setVectorSpace

          public void setVectorSpace(java.util.Map<java.lang.String,java.util.List<InstantiatedTermDocumentInformation>> vectorSpace)

    - #### getDocument

          public Document getDocument()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.